#include <coleco.h>
#include <getput1.h>

/* from music.s */
extern const void commando_music[];

/* from sound.s */
extern const void snd_table[];

void main(void)
{
    /* Set sound table */
    set_snd_table(snd_table);
    
    /* Screen Mode 2 - Text mode */
    screen_mode_2_text();
    
    /* Use BIOS ASCII charset */
    load_ascii();
    
    /* Set color to White, Backgrond invisible */
    fill_vram(0x2000,0xf0,2048);
    
    /* Copy pattern to 2nd and 3rd charset */
    duplicate_pattern();
    
    /* Start Commando music */
    play_music(commando_music);

    /* Enable NMI function */    
    enable_nmi();

    /* Do nothing more... */
infinite_loop:
    goto infinite_loop;
    
}

void nmi(void)
{
    /* Update Music */
    update_music();
}
